Subject: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Sun, 23 Mar 2014 11:14:20 +0000

martin rudalics writes:
 >  > Aha!! adding (read-event nil nil 1) to bug17046.el instead of the
 >  > sit-for replicates the bug - it looks ok on startup but when I move
 >  > the mouse into the frame I lose the decorations and the minibuffer!
 >  >
 >  > This is with
 >  >
 >  > 	  (visibility . t)
 >  > and :force-onscreen nil
 > 
 > This should give us something at last but I don't yet know what.  Please
 > just post that bug17046.el here so we can strip it.
 > 

File is attached, I hadn't seen this problem before my bzr update and
build of March 14th but I've just tried the same minimal startup with my
previous build of Dec 23 2013 (though as I'm running it from the bzr
pull area, it has the bzr updated el files) and I see the same problem.

I also get the bug with :force-onscreen set to t

Robert
-- 
Robert Marshall